# Interface DoWhileLoopTree

All Superinterfaces:
  `StatementTree, Tree`

public interface DoWhileLoopTree extends StatementTree
A tree node for a `do` statement. For example:

      do
          statement
      while ( expression );

See Java Language Specification:
  14.13 The do Statement
Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExpressionTree`
  `getCondition()`
  Returns the condition of the loop.
  `StatementTree`
  `getStatement()`
  Returns the body of the loop.

  ### Methods declared in interface Tree

  `accept, getKind`

- ## Method Details

  - ### getCondition

    ExpressionTree getCondition()
    Returns the condition of the loop.
    Returns:
      the condition

  - ### getStatement

    StatementTree getStatement()
    Returns the body of the loop.
    Returns:
      the body of the loop